메인 콘텐츠로 건너뛰기
POST
/
storefront
/
customer-auth
/
register
고객 회원가입
curl --request POST \
  --url https://api.headlesscommerce.io/v1/storefront/customer-auth/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "password": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "phone": "<string>"
}
'
{
  "customer": {
    "id": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "phone": "<string>",
    "external_id": "<string>",
    "status": "active",
    "total_orders": 123,
    "total_spent": {
      "amount": 123,
      "currency": "<string>"
    },
    "tags": [
      "<string>"
    ],
    "addresses": [
      {
        "name": "<string>",
        "company": "<string>",
        "line1": "<string>",
        "line2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>",
        "phone": "<string>"
      }
    ],
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z"
  },
  "token": "<string>"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

본문

application/json
email
string<email>
필수
password
string
필수
Minimum string length: 8
first_name
string
last_name
string
phone
string

응답

201 - application/json

생성됨

customer
object
token
string